package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.vo.RtFuResSoltVo;
import com.srs.routine.domain.vo.RtFuRoomVo;
import com.srs.routine.domain.RtFuReservation;
import com.srs.routine.domain.RtFuRoom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.routine.domain.RtFuSolt;

/**
 * 功能房Mapper接口
 *
 * @author srs
 * @date 2024-07-12
 */
public interface RtFuRoomMapper extends BaseMapper<RtFuRoom> {
    /**
     * 查询功能房
     *
     * @param id 功能房主键
     * @return 功能房
     */
    public RtFuRoom selectRtFuRoomById(Long id);
    public RtFuRoomVo selectRtFuRoomByIds(Long id);
    public RtFuResSoltVo selectRtFuRoomByRoNo(String ro_no);

    public RtFuRoom getFuRoomByRoNo(String ro_no);
//    public RtFuReservation selectRtFuRoomByroom(String room_name);
   public List<RtFuRoomVo> selectRtFuRoomByroom(String room_name);

    /**
     * 查询功能房列表
     *
     * @param rtFuRoom 功能房
     * @return 功能房集合
     */
    List<RtFuRoom> selectRtFuRoomList(RtFuRoom rtFuRoom);

    List<RtFuRoomVo> selectRtFuRoomLists(RtFuRoomVo rtFuRoomVo);
    /**
     * 新增功能房
     *
     * @param rtFuRoom 功能房
     * @return 结果
     */
    int insertRtFuRoom(RtFuRoom rtFuRoom);

    /**
     * 修改功能房
     *
     * @param rtFuRoom 功能房
     * @return 结果
     */
    int updateRtFuRoom(RtFuRoom rtFuRoom);

    int updateRtfuSta(RtFuRoom rtFuRoom);

    /**
     * 删除功能房
     *
     * @param id 功能房主键
     * @return 结果
     */
    int deleteRtFuRoomById(Long id);

    /**
     * 批量删除功能房
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtFuRoomByIds(Long[] ids);
}
